These docs are for v2.0. Click to read the latest docs for v3.0.

/url/report

Retrieve URL scan reports

The resource argument must be the URL for which you want to retrieve the most recent report. You may also specify a scan_id returned by the /url/scan endpoint to access a specific report.

If the allinfo argument is set to true additional information other than the URL scanning engines results is returned. VirusTotal related metadata (first seen date, last seen date, files downloaded from the given URL, etc.) and the output of other tools and datasets when fed with the URL.

{
 'response_code': 1,
 'verbose_msg': 'Scan finished, scan information embedded in this object',
 'scan_id': ' OGZmYjYxYjUxYWI0YTdhM2ViZWI5Zjc2MTE5ZTRiODE6MTY3ODM0ODYyNA==',
 'permalink': 'https://www.virustotal.com/url/__urlsha256__/analysis/1390467782/',
 'url': 'http://www.virustotal.com/',
 'scan_date': '2014-01-23 09:03:02',
 'filescan_id': null,
 'positives': 0,
 'total': 51,
 'scans': {
    'CLEAN MX': {
      'detected': false, 
      'result': 'clean site'
    },
    'MalwarePatrol': {
      'detected': false, 
      'result': 'clean site'
    }
  }
}
Query Params
string
required

Your API key

string
required

A URL for which you want to retrieve the most recent report. You may also specify a scan_id (sha256-timestamp as returned by the URL submission API) to access a specific report.

boolean
Defaults to false

Return additional information about the file

int32
Defaults to 0

This is an optional parameter that when set to "1" will automatically submit the URL for analysis if no report is found for it in VirusTotal's database. In this case the result will contain a scan_id field that can be used to query the analysis report later on.

Responses

Language
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json